
# Rainbow Six: Siege - Ash Pack
This pack will eventually include an Ash playermodel, gadgets and abilities - but for now it only includes her weapons.

## Contains
 - [R4-C](https://rainbowsix.fandom.com/wiki/R4-C) (Assault Rifle)
 - [G36C](https://rainbowsix.fandom.com/wiki/G36C/Siege) (Assault Rifle)
 - [5.7 USG](https://rainbowsix.fandom.com/wiki/Five-seven/Siege) (Pistol)
 - [M45 MEUSOC](https://rainbowsix.fandom.com/wiki/M45_MEUSOC/Siege) (Pistol)

## Installation
1. Download the file manually through Thunderstore (Or automatically using [r2modman](https://boneworks.thunderstore.io/package/ebkr/r2modman/))
2. Extract the file using any extractor.
3. Copy every `.melon` file from the `Weapons` folder
4. Go to your BONEWORKS directory, and paste them under `BONEWORKS/BONEWORKS/UserData/CustomItems`

## Known Issues
- **`R4-C Issues`**
	- The R4-C's Charging Handle has a slight gap if pulled all the way back.
	- The firing sound for the R4-C has a slightly loud static noise that plays after firing for a split second.

- **`5.7 Issues`**
	- The 5.7 USG slightly pushes the player back after firing a single round.
	- Bullet animations are extremely unpolished.

- **`M45 MEUSOC Issues`**
	- When cocking the weapon back and forward, the forward sound is exactly the same as the back. 
		- The reason for this is because in Rainbow Six: Siege there is no sound for the handle sliding forward so it will sound awkward.
	- Bullet animations are extremely unpolished.

- **`G36C Issues`**
	- Bullet animations are extremely unpolished.

- **`Physics Issues`**
	- The charm holder is a static mesh where instead it should be moving around when the weapon is moved just like Rainbow Six: Siege
		- Any assistance for how to make it move around would be greatly appricated! Contact me on discord `Mr. Deadman#5378`

If you find any bugs other than these, please report to me on discord by sending me a message - also feel free to drop any feedback or suggestions! You can contact me at `Mr. Deadman#5378`

## Future Plans
 - **Attachments Menu** (For all weapons)
	 - Sights
	 - Barrels
	 - Grips
	 - Lasers
	 - Weapon Skins
	 - Attachment Skins
	 - Charms
- **[Ash Breach Charges](https://rainbowsix.fandom.com/wiki/Breach_Charge/Siege)** (Possibly)
- **Ash Breaching Rounds - M120 Crem** (Possibly)
- **[Claymore](https://rainbowsix.fandom.com/wiki/Claymore)** (Possibly)
- **Ash Playermodel**
	- Could use assistance on this, if anybody is experienced at creating playermodels. Contact me on discord `Mr. Deadman#5378`

## Images and GIFs Showcase
Coming Soon.

## Video Showcase
https://youtu.be/PGdvajV2e5I

## Socials
- [YouTube](https://www.youtube.com/channel/UCrF_XcG4z8QQDAf-PHXUI0A)
- [Twitch](https://www.twitch.tv/deadmanwastaken)
- [Twitter](https://twitter.com/DeadmanWasTaken)
- **Discord**: `Mr. Deadman#5378`
- [Github](https://github.com/DeadmanWasTaken)
- [Reddit](https://www.reddit.com/user/DeadmanWasTaken)

## Changelog
- **`v1.0.0`**
	- Inital Release!

## Credits
- **`Rainbow Six: Siege Related`**
	- **[Tom Clancy's Rainbow Six: Siege](https://store.steampowered.com/app/359550/Tom_Clancys_Rainbow_Six_Siege/)**
	- **Ubisoft Montreal**
		- For weapon models
	- **[Floxay](https://github.com/floxay)**
		- For helping me navigate through [Rainbow Forge](https://github.com/parzivail/RainbowForge) and [Intel Graphics Performance Analysers](https://www.intel.com/content/www/us/en/developer/tools/graphics-performance-analyzers/overview.html)
	- **[Parzivail](https://github.com/parzivail)**
		- For creating [Rainbow Forge](https://github.com/parzivail/RainbowForge)
	- **[Rainbow Forge](https://github.com/parzivail/RainbowForge)**
		- This allowed me to extract textures, meshes and sounds from Rainbow Six: Siege
- **`BONEWORKS Related`**
	- The [BONEWORKS Unoffical Modding Discord](https://discord.gg/eJmUb3NCtd)
		- So many helpful people in here that helped me get started and to this point today
	- **gnonme**
		- For creating [ModThatIsNotMod](https://boneworks.thunderstore.io/package/gnonme/ModThatIsNotMod/) which allows all of this to be possible
	- **DarkSwitchPro**
		- Helped with many different questions I had about BONEWORKS modding overall
	- **Phoondos**
		- Helped me fully RIP BONEWORKS, so I could use all the sounds and prefabs. Huge thanks to him.
	- **Tears**
		- The god that started this all, when I start creating Custom Items and kept asking questions, he hopped on a discord call with me and explained how to make different weapons. From assault rifles, to pistols and DMRs - this guy is an absolute legend.
	- **Tomme150**
		- Tomme helped me answer many questions I had about going into depth and making more "high quality" weapons. Whenever I needed a prefab, he would send it over no matter how busy he his - my weapons wouldn't be this high quality without Tomme.
	- All of these legends can be found in the [BONEWORKS Unoffical Modding Discord](https://discord.gg/eJmUb3NCtd).
- **`Software Related`**
	- [Blender](https://store.steampowered.com/app/365670/Blender/)
	- [Unity 2018.4.10f1](https://unity3d.com/get-unity/download/archive)
	- [OBS](https://obsproject.com)
	- [Adobe Premiere Pro](https://www.adobe.com/au/)
	- [Adobe Photoshop](https://www.adobe.com/au/)